Subject: Re: [bug#34486] [PATCH 0/1] Add '--inherit' to 'guix environment'

From: "Thompson, David" <[email-masked]>
Date: Tue, 19 Feb 2019 09:33:31 -0500

On Sat, Feb 16, 2019 at 4:13 AM Ricardo Wurmus <[email-masked]> wrote:
>
>
> Ludovic Courtès <[email-masked]> writes:
>
> >> I guess the only thing that’s missing now is to activate an installed
> >> environment.
> >
> > Something beyond --search-paths and etc/profile, right?  I’m not sure
> > what it would look like.
>
> It doesn’t need to be much.  People can “save” environments with
> “--root” but they have no built-in mechanism to “load” an environment
> that has been saved like that.
>
> Loading can be done with “env /path/to/bash --init-file
> $profile/etc/profile” for activating an environment without mixing its
> environment variables into the current environment.  Merging an
> environment can be done with “source $profile/etc/profile”.  It would be
> nice if there was a simpler, unified interface for this.
>
>     guix environment --load /my/.guix-profile
>     guix environment --pure --load /my/.guix-profile
>     guix environment --container --load /my/.guix-profile

I never got around to implementing this, but I think we should use
some sane defaults to make 'guix environment' save and load
environments without the user having to figure out a bunch of flags.
For example, running 'guix environment' with no flags should
automatically load up the saved profile in the current directory and
instantiate it.  I know about --root, but I never actually use it
because it's kind of a pain.  I'd use persistent environments all the
time if it "just worked".

- Dave